With previous changes that allow to start a container
without the need to create it; the lxc-ls was only reporting
the created containers.
With this patch, the lxc-ls is now reporting created and active
containers.

Signed-off-by: Michel Normand <michel.mno@free.fr>
---
 src/lxc/lxc-ls.in |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

diff --git a/src/lxc/lxc-ls.in b/src/lxc/lxc-ls.in
index 6a77ebe..77253e6 100644
--- a/src/lxc/lxc-ls.in
+++ b/src/lxc/lxc-ls.in
@@ -6,4 +6,26 @@ if [ ! -r $lxcpath ]; then
     exit 0
 fi
 
+function get_cgroup()
+{
+	local mount_string
+	mount_string=$(mount -t cgroup |grep -E -e '^lxc ')
+	if test -z "$mount_string"; then
+		mount_string=$(mount |grep -m1 'type cgroup')
+	fi
+	if test -n "$mount_string"; then
+		mount_point=$(echo $mount_string |cut -d' ' -f3)
+	fi
+}
+
 ls $* $lxcpath
+
+active=$(netstat -xa | grep $lxcpath | \
+	sed -e 's#.*'"$lxcpath/"'\(.*\)/command#\1#'); 
+
+if test -n "$active"; then
+	get_cgroup
+	if test -n "$mount_point"; then
+		cd $mount_point; ls $* -d $active
+	fi
+fi
-- 
1.6.3.3

-- 


